> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vendor security incident alert by ID

> Retrieves a specific security incident alert that affects one of your vendors, by ID. Requires continuous monitoring.



## OpenAPI

````yaml /reference/manage-vanta.json get /vendor-security-incident-alerts/{alertId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /vendor-security-incident-alerts/{alertId}:
    get:
      tags:
        - Vendor Security Incident Alerts
      summary: Get vendor security incident alert by ID
      description: >-
        Retrieves a specific security incident alert that affects one of your
        vendors, by ID. Requires continuous monitoring.
      operationId: GetVendorSecurityIncidentAlert
      parameters:
        - description: The organization's alert ID, not the canonical incident ID.
          in: path
          name: alertId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorSecurityIncidentAlert'
      security:
        - bearerAuth: []
components:
  schemas:
    VendorSecurityIncidentAlert:
      properties:
        id:
          type: string
          description: Organization-specific alert ID.
        resolutionState:
          $ref: '#/components/schemas/VendorSecurityIncidentAlertResolutionState'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        affectedVendorIds:
          items:
            type: string
          type: array
        relatedVendorIds:
          items:
            type: string
          type: array
        status:
          $ref: '#/components/schemas/VendorSecurityIncidentAlertStatus'
        title:
          type: string
        rootCause:
          $ref: '#/components/schemas/VendorSecurityIncidentAlertRootCause'
        threatActor:
          $ref: '#/components/schemas/VendorSecurityIncidentAlertThreatActor'
        evidence:
          items:
            $ref: '#/components/schemas/VendorSecurityIncidentAlertPublicUrlEvidence'
          type: array
        impact:
          $ref: '#/components/schemas/VendorSecurityIncidentAlertImpact'
        timeline:
          items:
            $ref: '#/components/schemas/VendorSecurityIncidentAlertTimelineEvent'
          type: array
      required:
        - id
        - resolutionState
        - createdAt
        - updatedAt
        - affectedVendorIds
        - relatedVendorIds
        - status
        - title
        - rootCause
        - threatActor
        - evidence
        - impact
        - timeline
      type: object
      additionalProperties: false
    VendorSecurityIncidentAlertResolutionState:
      type: string
      enum:
        - OPEN
        - RESOLVED
    VendorSecurityIncidentAlertStatus:
      type: string
      enum:
        - POTENTIAL
        - CONFIRMED
        - SUSPECTED
    VendorSecurityIncidentAlertRootCause:
      type: string
      enum:
        - UNSPECIFIED
        - PHISHING
        - COMPROMISED_CREDENTIALS
        - VENDOR_PARTNER_COMPROMISE
        - ZERO_DAY_VULNERABILITY
        - KNOWN_VULNERABILITY
        - MISCONFIGURATION
        - INSIDER_THREAT
        - DDOS_ATTACK
        - PHYSICAL_ACCESS
        - PUBLICLY_EXPOSED_SENSITIVE_INTERFACE
        - NOT_DISCLOSED
    VendorSecurityIncidentAlertThreatActor:
      properties:
        name:
          type: string
      required:
        - name
      type: object
      additionalProperties: false
    VendorSecurityIncidentAlertPublicUrlEvidence:
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - PUBLIC_URL_EVIDENCE
          nullable: false
        contentCategory:
          $ref: >-
            #/components/schemas/VendorSecurityIncidentAlertEvidenceContentCategory
        url:
          type: string
      required:
        - id
        - type
        - contentCategory
        - url
      type: object
      additionalProperties: false
    VendorSecurityIncidentAlertImpact:
      properties:
        severity:
          $ref: '#/components/schemas/VendorSecurityIncidentAlertImpactSeverity'
        context:
          type: string
        affectedParties:
          items:
            $ref: '#/components/schemas/VendorSecurityIncidentAlertAffectedParty'
          type: array
        dataLeakStatus:
          $ref: '#/components/schemas/VendorSecurityIncidentAlertDataLeakStatus'
        consequences:
          items:
            $ref: '#/components/schemas/VendorSecurityIncidentAlertConsequence'
          type: array
      required:
        - severity
        - context
        - affectedParties
        - dataLeakStatus
        - consequences
      type: object
      additionalProperties: false
    VendorSecurityIncidentAlertTimelineEvent:
      properties:
        type:
          $ref: '#/components/schemas/VendorSecurityIncidentAlertTimelineEventType'
        occurredAt:
          type: string
          format: date-time
      required:
        - type
        - occurredAt
      type: object
      additionalProperties: false
    VendorSecurityIncidentAlertEvidenceContentCategory:
      type: string
      enum:
        - SEC
        - LEGAL
        - DATA_BREACH
        - GENERAL
        - EVIDENCE_OF_COMPROMISE
        - CLAIM_POST
        - PACKAGE_REGISTRY_PAGE
        - REGULATORY_FILING
        - VENDOR_NOTES
        - PUBLIC_NEWS_DISCUSSION
    VendorSecurityIncidentAlertImpactSeverity:
      type: string
      enum:
        - UNSPECIFIED
        - CRITICAL
        - HIGH
        - MEDIUM
        - LOW
    VendorSecurityIncidentAlertAffectedParty:
      type: string
      enum:
        - CUSTOMERS
        - EMPLOYEES
        - THIRD_PARTIES
        - MIXED
        - UNKNOWN
    VendorSecurityIncidentAlertDataLeakStatus:
      type: string
      enum:
        - UNSPECIFIED
        - UNKNOWN
        - OBSERVED
        - CONFIRMED
    VendorSecurityIncidentAlertConsequence:
      anyOf:
        - $ref: >-
            #/components/schemas/VendorSecurityIncidentAlertDenialOfServiceConsequence
        - $ref: >-
            #/components/schemas/VendorSecurityIncidentAlertUnauthorizedAccessConsequence
        - $ref: '#/components/schemas/VendorSecurityIncidentAlertDataLeakConsequence'
    VendorSecurityIncidentAlertTimelineEventType:
      type: string
      enum:
        - INITIAL_ACCESS
        - HACKER_DISCLOSURE
        - INCIDENT_DETECTION
        - DATA_BREACH_NOTIFICATION
        - SEC_FILING
        - LAWSUIT_FILING
    VendorSecurityIncidentAlertDenialOfServiceConsequence:
      title: VendorSecurityIncidentAlertDenialOfServiceConsequence
      properties:
        type:
          type: string
          enum:
            - DENIAL_OF_SERVICE
          nullable: false
      required:
        - type
      type: object
      additionalProperties: false
    VendorSecurityIncidentAlertUnauthorizedAccessConsequence:
      title: VendorSecurityIncidentAlertUnauthorizedAccessConsequence
      properties:
        type:
          type: string
          enum:
            - UNAUTHORIZED_ACCESS
          nullable: false
      required:
        - type
      type: object
      additionalProperties: false
    VendorSecurityIncidentAlertDataLeakConsequence:
      title: VendorSecurityIncidentAlertDataLeakConsequence
      properties:
        type:
          type: string
          enum:
            - DATA_LEAK
          nullable: false
        dataCategories:
          items:
            $ref: '#/components/schemas/VendorSecurityIncidentAlertDataCategory'
          type: array
        severity:
          $ref: '#/components/schemas/VendorSecurityIncidentAlertDataLeakSeverity'
      required:
        - type
        - dataCategories
        - severity
      type: object
      additionalProperties: false
    VendorSecurityIncidentAlertDataCategory:
      type: string
      enum:
        - PII
        - PHI
        - FINANCIAL
        - CREDENTIALS
        - INTELLECTUAL_PROPERTY
    VendorSecurityIncidentAlertDataLeakSeverity:
      type: string
      enum:
        - UNSPECIFIED
        - CRITICAL
        - HIGH
        - MEDIUM
        - LOW
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Update vendor security incident alerts](https://developer.vanta.com/api-reference/vendor-security-incident-alerts/update-vendor-security-incident-alerts.md)
- [List vendor security incident alerts](https://developer.vanta.com/api-reference/vendor-security-incident-alerts/list-vendor-security-incident-alerts.md)
- [Get vendor alert](https://developer.vanta.com/api-reference/vendor-alerts/get-vendor-alert.md)
- [Get vendor alert settings](https://developer.vanta.com/api-reference/vendor-alert-settings/get-vendor-alert-settings.md)
- [List vendor alerts](https://developer.vanta.com/api-reference/vendor-alerts/list-vendor-alerts.md)
